Subject: RE: [ANNOUNCEMENT] Updated: cygwin-1.3.12-1
From: "Tony Arnold" <[email-masked]>
To: <[email-masked]>
Date: Thu, 4 Jul 2002 17:50:50 +0100

> > Cron is running as a service using the SYSTEM account (UID=18). 
> > /etc/passwd is readable by SYSTEM (the protection is 644).
> 
> Are you running jobs under SYSTEM or under your own account?
> If SYSTEM, it needs a homedir then, too.  Or you should use 
> full paths to the scripts or apps called.

I'm running jobs under my account.

Note that these jobs worked fine before I updated to the latest
cygwin1.dll version. I've put the 26 June snapshot cygwin1.dll file back
in use and the jobs work.

Test jobs show that $HOME is being set to / when the cron job works.
$HOME is set correctly for bash sessions run interactively via rxvt or
whatever.

> > What other information would be useful to help track this down?
> 
> You could debug it.

I'll see what I can do.

I guess that as no-one else has said anything on this thread that I am
alone with this problem?

Regards,
Tony.
-- 
Tony Arnold, Deputy to the Head of COS Division, Manchester Computing,
University of Manchester, Oxford Road, Manchester M13 9PL.
T: +44 (0)161 275 6093, F: +44 (0)870 136 1004, M: +44 (0)773 330 0039
E-mail: [email-masked], Home: http://www.man.ac.uk/Tony.Arnold

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/